
Base Distribution - Task # 40818

Story # 40628 (Closed): As any user, I need a Content Module based on semantic technologies (IKS)

Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-09-11 Assigned To: Sebastian Kurfuerst
Updated: 2012-10-04 Due date:
Subject: Fix wireframe mode section editing
Description

TypeError: T3.Content.Model.BlockManager is undefined, pageBlock = T3.Content.Model.BlockManager.get('_pageBlock');" in
FireFox console when try to create a new section with Wireframe mode on an empty kickstarted site.

createSection: function(sectionName) {
var pageBlock = T3.Content.Model.BlockManager.get('_pageBlock');

Does not exist

Related issues:
blocked by Base Distribution - Task # 41014: Fix 'object is undefined' error ... Closed

Associated revisions
Revision 4bd12308 - 2012-09-13 10:50 - Sebastian Kurfuerst

[BUGFIX] Fix "Create Section" in wireframe mode

The "create section" code has not yet been adapted to VIE. We fix this here.

Resolves: #40818
Change-Id: I6b289e5fbda5fcc6c094937ada5aa5df51436c0a

History
#1 - 2012-09-12 15:15 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2012-09-12 15:16 - Sebastian Kurfuerst
- Assigned To set to Sebastian Kurfuerst

#3 - 2012-09-12 15:22 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14554

#4 - 2012-09-12 15:22 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#5 - 2012-09-13 09:50 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14554
#6 - 2012-09-13 10:50 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14554

#7 - 2012-09-13 10:57 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#8 - 2012-09-20 15:42 - Sebastian Kurfuerst
- % Done changed from 0 to 100

#9 - 2012-10-04 13:55 - Markus Goldbeck
- Status changed from Resolved to Closed
